Creates backup locations for wallet key shares. Requires API token authentication. Validates that the user belongs to the environment and that no client key shares exist for the wallet. This endpoint is intended for server-side integrations that need to backup key shares on behalf of users.
curl --request POST \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/waas/{walletId}/keyShares/backup/locations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locations": [
{
"location": "googleDrive",
"keygenId": "An example name",
"thresholdSignatureScheme": "TWO_OF_TWO",
"externalKeyShareId": "An example name"
}
]
}
'{
"message": "<string>",
"walletId": "95b11417-f18f-457f-8804-68e361f9164f",
"locationsWithKeyShares": [
{
"location": "googleDrive",
"keyShareId": "95b11417-f18f-457f-8804-68e361f9164f",
"externalKeyShareId": "95b11417-f18f-457f-8804-68e361f9164f"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.dynamic.xyz/docs/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
UUID of the wallet
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Backup locations request with userId
Backup action and event created successfully
Was this page helpful?
curl --request POST \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/waas/{walletId}/keyShares/backup/locations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locations": [
{
"location": "googleDrive",
"keygenId": "An example name",
"thresholdSignatureScheme": "TWO_OF_TWO",
"externalKeyShareId": "An example name"
}
]
}
'{
"message": "<string>",
"walletId": "95b11417-f18f-457f-8804-68e361f9164f",
"locationsWithKeyShares": [
{
"location": "googleDrive",
"keyShareId": "95b11417-f18f-457f-8804-68e361f9164f",
"externalKeyShareId": "95b11417-f18f-457f-8804-68e361f9164f"
}
]
}